> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toffeepay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Status

> Returns session status by its id



## OpenAPI

````yaml GET /v1/sessions/{id}/status
openapi: 3.1.0
info:
  title: ToffeePay API
  description: Public API for game partners
  version: 0.1.1
servers:
  - url: https://api.toffeepay.com
    description: Production
  - url: https://api.sandbox.toffeepay.com
    description: Sandbox
security:
  - BearerAuth: []
paths:
  /v1/sessions/{id}/status:
    get:
      summary: GetSessionStatus
      description: Returns session status by its id
      operationId: PaymentService_GetSessionStatus
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: id
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pay.v1.GetSessionStatusResponse'
components:
  schemas:
    pay.v1.GetSessionStatusResponse:
      type: object
      properties:
        id:
          type: string
          title: id
          deprecated: true
        status:
          type: string
          title: status
          enum:
            - pending
            - paid
            - failed
            - cancelled
            - expired
      title: GetSessionStatusResponse
      required:
        - status
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````